GtkAda - An Ada graphical toolkit based on GTK
==============================================
[![GNAT CE Build](https://github.com/AdaCore/gtkada/actions/workflows/gnat-ce.yml/badge.svg)](https://github.com/AdaCore/gtkada/actions/workflows/gnat-ce.yml)
[![Alire crate](https://img.shields.io/endpoint?url=https://alire.ada.dev/badges/gtkada.json)](https://alire.ada.dev/crates/gtkada.html)
[![Debian package](https://img.shields.io/debian/v/libgtkada)](https://packages.debian.org/search?keywords=libgtkada)
[![Fedora package](https://img.shields.io/fedora/v/GtkAda)](https://src.fedoraproject.org/rpms/GtkAda)
[![Ubuntu package](https://img.shields.io/ubuntu/v/libgtkada)](https://packages.ubuntu.com/search?keywords=libgtkada)
[![AUR version](https://img.shields.io/aur/version/gtkada)](https://aur.archlinux.org/packages/gtkada/)


Installation
------------

See the file `INSTALL`.

General Information
-------------------

 * The home page for GtkAda is https://github.com/AdaCore/gtkada
 * The home page for GTK is http://www.gtk.org

This package is an Ada graphical library
for the Gimp Toolkit, which means this is a set of packages to allow you
to easily create some graphical interfaces under X11 and Win32, using Ada
as the programming language.

This library has been tested using Gtk+ 3.14.15 on the following systems:

  - GNU Linux/x86
  - GNU Linux/x86-64
  - Solaris/sparc
  - Windows 7, 8.1 and 10

License
-------

All files are provided under terms of the GNU General Public License version 3.

For details, see the "COPYING3" file.

Documentation
-------------

The GtkAda User's Guide can be found:

  - HTML version: in `docs/gtkada_ug/_build/html/index.html`
  - PDF  version: in `docs/gtkada_ug/_build/latex/GtkAda.pdf`

The GtkAda Reference Manual can be found:

  - HTML version: in `gtkada_rm/gtkada_rm/index.html`

Patches
-------

We are very happy to receive and look at patches.
Please use github's Pull Requests feature to contribute those.
